# Node pool

## GET /v4/{projectId}/nodePools

> Get details of all node pools

```json
{"openapi":"3.1.1","info":{"title":"Platform9 Managed Kubernetes","version":"4.0.0"},"servers":[{"url":"/qbert"}],"paths":{"/v4/{projectId}/nodePools":{"get":{"tags":["Node pool"],"summary":"Get details of all node pools","parameters":[{"schema":{"type":"string"},"name":"X-Auth-Token","in":"header","required":true},{"schema":{"type":"string"},"name":"projectId","in":"path","required":true,"description":"UUID of the project the node pool belongs to"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/nodepool"}}}}},"403":{"description":"unauthorized to perform this operation"}}}}},"components":{"schemas":{"nodepool":{"type":"object","properties":{"name":{"type":"string","description":"Name of the node pool"},"uuid":{"type":"string","description":"UUID of the node pool"},"cloudProviderUuid":{"type":"string","description":"UUID of the associated cloud provider"},"cloudProviderName":{"type":"string","description":"Name of the associated cloud provider"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/managed-kubernetes/apis/qbert-api/node-pool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
